Use of explicit suffix in 'Icon' field of application launcher

Bug #190688 reported by Ioannis on 2008-02-10
16
Affects Status Importance Assigned to Milestone
GNOME Terminal
Fix Released
Low
Inkscape
Undecided
Krzysztof Kosinski
firefox-3.0 (Ubuntu)
Low
Unassigned
gnome-terminal (Ubuntu)
Undecided
Unassigned
inkscape (Ubuntu)
Undecided
Unassigned
synaptic (Ubuntu)
Low
Unassigned
thunderbird (Ubuntu)
Low
Alexander Sack
tsclient (Ubuntu)
Low
Unassigned

Bug Description

This is a standard conformance issue (as of http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html)

The gnome-terminal is one of several applications that use an explicit suffix for their 'Icon' filed in their %.desktop
e.g.
Icon=gnome-terminal.png

instead of
Icon=gnome-terminal

Assuming I'm getting this right, this means that the application's icon will always use the PNG version and never the SVG (assuming it's available). As a subsequence, several visual effects, such as compiz scale, shift-switcher and more, will display an aliased icon.

Other applications with the same issue are (that I'm aware of):
gnome-dictionary
tsclient
eclipse
gparted
graveman
gconf-editor
cddb-slave
dotedit
gnome-ppp
hwdb
thunderbird
firefox
redhat-my-default-printer
bum
redhat-manage-print-jobs
gnome-compiz-preferences
ooo-template
synaptic
redhat-system-config-printer
vino-preferences
gucharmap
gnumeric
scim-setup
inkscape
avidemux
gnome-btdownload

(using .xpm)
icedtea-java7-javaws
python2.5
icedtea-java7-java
sun-java6-java
sun-java6-javaws
jabref
mplayer
fontforge

and some third-party:
nvidia-settings
vmware-player
skype
opera

Ioannis (ioannisnousias) on 2008-02-10
description: updated
Changed in gnome-terminal:
status: Unknown → Fix Released
Pedro Villavicencio (pedro) wrote :

the gnome-terminal task was already fixed upstream, thanks.

Changed in gnome-terminal:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-terminal - 2.21.91-0ubuntu1

---------------
gnome-terminal (2.21.91-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #189568)
    - Port to gio
    - Use of explicit suffix in 'Icon' field of application
      launcher (LP: #190688)
    - crash launching g-t with specific args (LP: #186109)
    - Disconnect from the settings notify on dispose
      instead of finalise. (LP: #188565)
  * debian/control{.in}:
    + Changed b-d libgnomevfs2-dev to libgvfscommon-dev
  * debian/patches/:
    - 01_lpi: updated
    - 02_autoconf: updated

 -- Pedro Fragoso <email address hidden> Mon, 11 Feb 2008 22:48:32 +0000

Changed in gnome-terminal:
status: Fix Committed → Fix Released
Jonh Wendell (wendell) wrote :

Don't do this! Open bugs against affected packages, not just one bug with lots of tasks.

Lubomir Rintel (lkundrak) wrote :

How do I mark the just dependency on inkscape as being duplicate in Launchpad?
https://bugs.launchpad.net/inkscape/+bug/190420

Changed in inkscape:
status: New → Invalid
Fabien Tassin (fta) wrote :
Changed in firefox-3.0:
importance: Undecided → Low
status: New → Fix Committed
Ioannis (ioannisnousias) wrote :

thanks, I wasn't aware it was fixed upstream.

as for the 'multiple tasks in one bug report', you are right. I was being lazy.

PS: Could an administrator unregistered 'Elio Bezerra da Silva' from launchpad please (that's what he is asking in Portuguese)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.0 - 3.0~b4+nobinonly-0ubuntu1

---------------
firefox-3.0 (3.0~b4+nobinonly-0ubuntu1) hardy; urgency=low

  [ Fabien Tassin <email address hidden> ]
  * Bump xulrunner-1.9 dependencies to b4
    - update debian/control
  * Refresh diverged patches:
    - update debian/patches/dont_depend_on_nspr_sources.patch
    - update debian/patches/force_safebrowsing_off.patch
  * Drop extension from desktop launchers icons (LP: #190688)
    - update debian/firefox-3.0-*.desktop
  * Install new libjemalloc.so
    - update debian/firefox-3.0.install
  * Add optional support for system sqlite3 (we need >= 3.5 not in hardy)
    - update debian/rules
  * Fix debsearch.src to work with new packages.ubuntu.com codebase (LP: #194681)
    Contributed by David Futcher <email address hidden>
    - update debian/debsearch.src
  * Bump gtk+ requirement to 2.10 because of the new Print Dialog
    - update debian/control
  * Add Polish translation to deskstop launcher (LP: #196953)
    Contributed by Tomasz Dominikowski <email address hidden>
    - update debian/firefox-3.0-final.desktop
  * Change $(shell) into $(wildcard) for XUL SDK detection
    - update debian/rules
  * Drop DEB_AUTO_UPDATE_DEBIAN_CONTROL cdbs variable completely. It was
    wrongly set to zero
    - update debian/rules
  * Stop build-tree/mozilla/README to be shipped as a doc by setting
    cdbs DEB_INSTALL_DOCS_ALL to $(NULL)
    - update debian/rules

  [ Alexander Sack <email address hidden> ]
  * reuse apport hook from firefox 2 package initially developed by Hilario J.
    Montoliu <email address hidden> (LP: #199666)
    - add debian/apport/firefox-3.0.py
    - update debian/firefox-3.0.install

 -- Alexander Sack <email address hidden> Thu, 13 Mar 2008 16:52:36 +0100

Changed in firefox-3.0:
status: Fix Committed → Fix Released
Krzysztof Kosinski (tweenk) wrote :

Inkscape: Fixed in SVN rev 18178

Changed in inkscape:
assignee: nobody → tweenk
status: New → Fix Committed
bbyak (buliabyak) on 2008-04-02
Changed in inkscape:
status: Fix Committed → Fix Released
David Futcher (bobbo) wrote :

Thunderbird debdiff. Not sure if asac (or anyone else on the mozilla-team) will want to add to it. Otherwise, subscribing u-u-s for sponsorship.

Builds in an Intrepid pbuilder.

Changed in thunderbird:
status: New → Confirmed
David Futcher (bobbo) wrote :

Forgot the debdiff.

Michael Bienia (geser) wrote :

Unsubscribing u-u-s and subscribing u-m-s instead as thunderbird is in main.

Bryce Harrington (bryce) on 2008-11-04
Changed in synaptic:
importance: Undecided → Low
status: New → Confirmed
Changed in thunderbird:
importance: Undecided → Low
Changed in tsclient:
importance: Undecided → Low
status: New → Confirmed
Alexander Sack (asac) on 2008-11-04
Changed in thunderbird:
assignee: nobody → asac
status: Confirmed → In Progress
milestone: none → jaunty-alpha-3
Alexander Sack (asac) wrote :
Changed in thunderbird:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 2.0.0.18+nobinonly-0ubuntu1

---------------
thunderbird (2.0.0.18+nobinonly-0ubuntu1) jaunty; urgency=low

  * security/stability update 2.0.0.18 (USN-668-1)
  * fix LP: #302388: add arm(el) xpcom patches from icedove package
    - add debian/patches/18_arm_xpcom_unused_attribute.dpatch
    - add debian/patches/38_arm_xpcom_optim.dpatch
    - update debian/patches/series
  * rerun autoconf2.13 to adjust configure patch
    - update debian/patches/autoconf-regen

  [ Saïvann Carignan <email address hidden> ]
  * Fix LP: #194970, LP: #190688 - desktop-file-validate warnings: among others
    we update Icon field to not use a file extension
    - update debian/thunderbird.desktop

 -- Alexander Sack <email address hidden> Wed, 26 Nov 2008 12:18:33 +0100

Changed in thunderbird:
status: Fix Committed → Fix Released
Bryce Harrington (bryce) wrote :

synaptic is not using an explicit suffix:

bryce@chideok:~/src/Sponsor/synaptic/synaptic-0.62.2ubuntu2$ grep -sr 'Icon=' . | grep -v .spec
./data/synaptic-kde.desktop.in:Icon=synaptic
./data/synaptic.desktop.in:Icon=synaptic
./debian/patches/02_ubuntu_desktop_file.dpatch: Icon=synaptic

Changed in synaptic:
status: Confirmed → Fix Released
Bryce Harrington (bryce) wrote :

Patched tsclient with fix.

Changed in tsclient:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tsclient - 0.150-1ubuntu4

---------------
tsclient (0.150-1ubuntu4) jaunty; urgency=low

  * 28_desktop_icon_allow_svg.patch: Don't specify the Icon extension, so
    system can select from .png or .svg as appropriate. (LP: #190688)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Bryce Harrington <email address hidden> Mon, 01 Dec 2008 14:41:54 -0800

Changed in tsclient:
status: Fix Committed → Fix Released
Changed in gnome-terminal:
importance: Unknown → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.